## pyside6 6.8.3

=== sources/pyside6/qtexampleicons/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.18)
cmake_policy(VERSION 3.18)

project(QtExampleIcons)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTORCC ON)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 COMPONENTS ExampleIconsPrivate)

add_library(QtExampleIcons MODULE module.c)

# See libshiboken/CMakeLists.txt
if(PYTHON_LIMITED_API)
    target_compile_definitions(QtExampleIcons PRIVATE "-DPy_LIMITED_API=0x03080000")
endif()

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    if(PYTHON_WITH_DEBUG)
        target_compile_definitions(QtExampleIcons PRIVATE "-DPy_DEBUG")
    endif()
    if (PYTHON_WITH_COUNT_ALLOCS)
        target_compile_definitions(QtExampleIcons PRIVATE "-DCOUNT_ALLOCS")
    endif()
elseif(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(QtExampleIcons PRIVATE "-DNDEBUG")
endif()

target_include_directories(QtExampleIcons PRIVATE ${SHIBOKEN_PYTHON_INCLUDE_DIRS})

get_property(SHIBOKEN_PYTHON_LIBRARIES GLOBAL PROPERTY shiboken_python_libraries)

target_link_libraries(QtExampleIcons PRIVATE
                      Qt::ExampleIconsPrivate
                      ${SHIBOKEN_PYTHON_LIBRARIES})

set_target_properties(QtExampleIcons PROPERTIES
                      PREFIX ""
                      OUTPUT_NAME "QtExampleIcons${SHIBOKEN_PYTHON_EXTENSION_SUFFIX}"
                      LIBRARY_OUTPUT_DIRECTORY "${pyside6_BINARY_DIR}")

if(WIN32)
    set_property(TARGET QtExampleIcons PROPERTY SUFFIX ".pyd")
endif()

install(TARGETS QtExampleIcons LIBRARY DESTINATION "${PYTHON_SITE_PACKAGES}/PySide6")

=== sources/pyside6/PySide6/QtGraphs/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

project(QtGraphs)

set(QtGraphs_DROPPED_ENTRIES)

list(APPEND QtGraphs_src "${QtGraphs_SOURCE_DIR}/qtgraphs_helper.cpp")

set(QtGraphs_SRC
# 3D
${QtGraphs_GEN_DIR}/qabstract3daxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qcategory3daxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qtgraphs3d_wrapper.cpp
${QtGraphs_GEN_DIR}/qgraphsline_wrapper.cpp
${QtGraphs_GEN_DIR}/qgraphstheme_wrapper.cpp
${QtGraphs_GEN_DIR}/qgraphsthemedirtybitfield_wrapper.cpp
${QtGraphs_GEN_DIR}/qlogvalue3daxisformatter_wrapper.cpp
${QtGraphs_GEN_DIR}/qvalue3daxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qvalue3daxisformatter_wrapper.cpp
${QtGraphs_GEN_DIR}/qabstract3dseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qabstractdataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qbar3dseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qbardataitem_wrapper.cpp
${QtGraphs_GEN_DIR}/qbardataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qcustom3ditem_wrapper.cpp
${QtGraphs_GEN_DIR}/qcustom3dlabel_wrapper.cpp
${QtGraphs_GEN_DIR}/qcustom3dvolume_wrapper.cpp
${QtGraphs_GEN_DIR}/qheightmapsurfacedataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qitemmodelbardataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qitemmodelscatterdataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qitemmodelsurfacedataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qlegenddata_wrapper.cpp
${QtGraphs_GEN_DIR}/qscatter3dseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qscatterdataitem_wrapper.cpp
${QtGraphs_GEN_DIR}/qscatterdataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/qsurface3dseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qsurfacedataitem_wrapper.cpp
${QtGraphs_GEN_DIR}/qsurfacedataproxy_wrapper.cpp
${QtGraphs_GEN_DIR}/q3dscene_wrapper.cpp
# 2D
${QtGraphs_GEN_DIR}/qabstractaxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qabstractseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qareaseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qbarcategoryaxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qbarmodelmapper_wrapper.cpp
${QtGraphs_GEN_DIR}/qbarseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qbarset_wrapper.cpp
${QtGraphs_GEN_DIR}/qdatetimeaxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qlineseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qpiemodelmapper_wrapper.cpp
${QtGraphs_GEN_DIR}/qpieseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qpieslice_wrapper.cpp
${QtGraphs_GEN_DIR}/qscatterseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qsplineseries_wrapper.cpp
${QtGraphs_GEN_DIR}/qvalueaxis_wrapper.cpp
${QtGraphs_GEN_DIR}/qxymodelmapper_wrapper.cpp
${QtGraphs_GEN_DIR}/qxyseries_wrapper.cpp
# module is always needed
${QtGraphs_GEN_DIR}/qtgraphs_module_wrapper.cpp
)

set(QtGraphs_include_dirs ${QtGraphs_SOURCE_DIR}
                          ${QtGraphs_BINARY_DIR}
                          ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}QtNetwork_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Qml_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Quick_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Graphs_INCLUDE_DIRS}
                          ${Qt${QT_MAJOR_VERSION}Quick3D_INCLUDE_DIRS}
                          ${libpyside_SOURCE_DIR}
                          ${QtCore_GEN_DIR}
                          ${QtNetwork_GEN_DIR}
                          ${QtGui_GEN_DIR}
                          ${QtQml_GEN_DIR}
                          ${QtQuick_GEN_DIR}
                          ${QtQuick3D_GEN_DIR})

set(QtGraphs_libraries    pyside6
                          ${Qt${QT_MAJOR_VERSION}Graphs_LIBRARIES})

set(QtGraphs_deps QtCore QtNetwork QtGui QtQml QtQuick QtQuick3D)

check_qt_opengl("Graphs" QtGraphs_include_dirs QtGraphs_deps
                QtGraphs_DROPPED_ENTRIES)

create_pyside_module(NAME QtGraphs
                     INCLUDE_DIRS QtGraphs_include_dirs
                     LIBRARIES QtGraphs_libraries
                     DEPS QtGraphs_deps
                     TYPESYSTEM_PATH QtGraphs_SOURCE_DIR
                     SOURCES QtGraphs_SRC
                     STATIC_SOURCES QtGraphs_src
                     DROPPED_ENTRIES QtGraphs_DROPPED_ENTRIES)

install(FILES ${pyside6_SOURCE_DIR}/qtgraphs_helper.h
        DESTINATION include/PySide6/QtGraphs)

=== sources/pyside6/PySide6/QtWebEngineCore/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

project(QtWebEngineCore)

set(QtWebEngineCore_static_sources
    "${QtWebEngineCore_SOURCE_DIR}/glue/webenginepage_functors.cpp"
    "${QtWebEngineCore_SOURCE_DIR}/glue/webenginepage_functors.h"
    "${QtWebEngineCore_SOURCE_DIR}/glue/webengineframe.cpp"
    "${QtWebEngineCore_SOURCE_DIR}/glue/webengineframe.h"
)

set(QtWebEngineCore_SRC
${QtWebEngineCore_GEN_DIR}/qwebenginecertificateerror_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineclientcertificateselection_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineclientcertificatestore_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineclienthints_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginecontextmenurequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginecookiestore_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginecookiestore_filterrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginedesktopmediarequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginedownloadrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginefilesystemaccessrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginefindtextresult_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineframe_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginefullscreenrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineglobalsettings_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineglobalsettings_dnsmode_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginehistory_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginehistoryitem_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginehistorymodel_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginehttprequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginenavigationrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineloadinginfo_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginenewwindowrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginenotification_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginepage_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginepermission_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineprofile_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginequotarequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineregisterprotocolhandlerrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginescript_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginescriptcollection_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginesettings_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineurlrequestinfo_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineurlrequestinterceptor_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineurlrequestjob_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineurlscheme_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebengineurlschemehandler_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginewebauthpinrequest_wrapper.cpp
${QtWebEngineCore_GEN_DIR}/qwebenginewebauthuxrequest_wrapper.cpp
# module is always needed
${QtWebEngineCore_GEN_DIR}/qtwebenginecore_module_wrapper.cpp
)

set(QtWebEngineCore_include_dirs
                            ${QtWebEngineCore_SOURCE_DIR}
                            ${QtWebEngineCore_BINARY_DIR}
                            ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}Widgets_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}Network_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}PrintSupport_INCLUDE_DIRS}
                            ${Qt${QT_MAJOR_VERSION}WebChannel_INCLUDE_DIRS}
                            ${libpyside_SOURCE_DIR}
                            ${QtCore_GEN_DIR}
                            ${QtGui_GEN_DIR}
                            ${QtWidgets_GEN_DIR}
                            ${QtNetwork_GEN_DIR}
                            ${QtPrintSupport_GEN_DIR}
                            ${QtWebChannel_GEN_DIR})

set(QtWebEngineCore_libraries pyside6
                              ${Qt${QT_MAJOR_VERSION}WebEngineCore_LIBRARIES})

set(QtWebEngineCore_deps QtCore QtGui QtNetwork QtPrintSupport QtWebChannel)

create_pyside_module(NAME QtWebEngineCore
                     INCLUDE_DIRS QtWebEngineCore_include_dirs
                     STATIC_SOURCES QtWebEngineCore_static_sources
                     LIBRARIES QtWebEngineCore_libraries
                     DEPS QtWebEngineCore_deps
                     TYPESYSTEM_PATH QtWebEngineCore_SOURCE_DIR
                     SOURCES QtWebEngineCore_SRC)

=== sources/pyside6/tests/QtXml/CMakeLists.txt ===
PYSIDE_TEST(qdomdocument_test.py)

=== sources/shiboken6/tests/otherbinding/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

project(other)

set(other_TYPESYSTEM
${CMAKE_CURRENT_SOURCE_DIR}/typesystem_other.xml
)

set(other_SRC
${CMAKE_CURRENT_BINARY_DIR}/other/extendsnoimplicitconversion_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/number_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/otherderived_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/othermultiplederived_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/otherobjecttype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/othervaluewithunituser_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/sharedptr_str_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/smartptrtester_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/other_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/valuewithunitintinch_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/other/valuewithunitintmillimeter_wrapper.cpp
)


configure_file("${CMAKE_CURRENT_SOURCE_DIR}/other-binding.txt.in"
               "${CMAKE_CURRENT_BINARY_DIR}/other-binding.txt" @ONLY)

shiboken_get_tool_shell_wrapper(shiboken tool_wrapper)
if(SHIBOKEN_UNOPTIMIZE)
    SET(UNOPTIMIZE "--unoptimize=${SHIBOKEN_UNOPTIMIZE}")
ENDIF()

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/mjb_rejected_classes.log"
    BYPRODUCTS ${other_SRC}
    COMMAND
        ${tool_wrapper}
        $<TARGET_FILE:Shiboken6::shiboken6>
        --project-file=${CMAKE_CURRENT_BINARY_DIR}/other-binding.txt
        ${UNOPTIMIZE}
        ${GENERATOR_EXTRA_FLAGS}
    DEPENDS ${other_TYPESYSTEM} ${CMAKE_CURRENT_SOURCE_DIR}/global.h Shiboken6::shiboken6
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Running generator for 'other' test binding..."
)

add_library(other MODULE ${other_SRC})
target_include_directories(other PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
                                         ${sample_BINARY_DIR}/sample
                                         ${smart_BINARY_DIR}/smart)
target_link_libraries(other PUBLIC libother libsample libsmart libshiboken)
set_property(TARGET other PROPERTY PREFIX "")
set_property(TARGET other PROPERTY OUTPUT_NAME "other${PYTHON_EXTENSION_SUFFIX}")

if(WIN32)
    set_property(TARGET other PROPERTY SUFFIX ".pyd")
endif()


add_dependencies(other sample smart)
create_generator_target(other)

=== sources/pyside6/tests/tools/pyside6-android-deploy/CMakeLists.txt ===
if(CMAKE_HOST_UNIX)
    PYSIDE_TEST(test_pyside6_android_deploy.py)
endif()

=== debian/changelog ===
pyside6 (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Mar 2025 18:46:28 -0500

=== debian/control ===
Source: pyside6
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders:
 Kurt Kremitzki <kkremitzki@debian.org>,
 Stuart Prescott <stuart@debian.org>,
Build-Depends:
 chrpath,
 clang,
 cmake (>= 3.1),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo <!nodoc>,
 libclang-dev,
 libxml2-dev,
 libxslt1-dev,
 llvm-dev,
 ninja-build,
 patchelf,
 python3-dev,
 python3-distro,
 python3-numpy,
 python3-opengl,
 python3-packaging,
 python3-pip <!nocheck>,
 python3-pkginfo <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinxcontrib.qthelp <!nodoc>,
 python3-wheel,
 qml6-module-qtqml-workerscript (>= 6.8) <!nocheck>,
 qml6-module-qtquick (>= 6.8) <!nocheck>,
 qml6-module-qtquick-controls (>= 6.8) <!nocheck>,
 qml6-module-qtquick-layouts (>= 6.8) <!nocheck>,
 qml6-module-qtquick-templates (>= 6.8) <!nocheck>,
 qml6-module-qtquick-window (>= 6.8) <!nocheck>,
 qt6-3d-dev (>= 6.8),
 qt6-base-dev (>= 6.8),
 qt6-base-private-dev (>= 6.8),
 qt6-charts-dev (>= 6.8),
 qt6-connectivity-dev (>= 6.8) [linux-any],
 qt6-datavis3d-dev (>= 6.8),
 qt6-declarative-dev (>= 6.8),
 qt6-declarative-private-dev (>= 6.8),
 qt6-graphs-dev (>= 6.8),
 qt6-httpserver-dev (>= 6.8),
 qt6-location-dev (>= 6.8),
 qt6-multimedia-dev (>= 6.8),
 qt6-networkauth-dev (>= 6.8),
 qt6-pdf-dev (>= 6.8) [amd64 arm64 armhf i386],
 qt6-positioning-dev (>= 6.8),
 qt6-qmllint-plugins (>= 6.8),
 qt6-qmltooling-plugins (>= 6.8),
 qt6-quick3d-dev (>= 6.8),
 qt6-remoteobjects-dev (>= 6.8),
 qt6-scxml-dev (>= 6.8),
 qt6-sensors-dev (>= 6.8),
 qt6-serialbus-dev (>= 6.8),
 qt6-serialport-dev (>= 6.8),
 qt6-shadertools-dev (>= 6.8),
 qt6-speech-dev (>= 6.8),
 qt6-svg-dev (>= 6.8),
 qt6-tools-dev (>= 6.8),
 qt6-virtualkeyboard-dev (>= 6.8),
 qt6-wayland-dev (>= 6.8) [linux-any],
 qt6-webchannel-dev (>= 6.8),
 qt6-webengine-dev (>= 6.8) [amd64 arm64 armhf i386],
 qt6-websockets-dev (>= 6.8),
 qt6-webview-dev (>= 6.8) [amd64 arm64 armhf i386],
 qtchooser,
 sip-tools (>= 6.5),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Build-Conflicts:
 libpyside6-dev,
 libshiboken6-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/pyside6.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/pyside6

Package: libpyside6-dev
Section: libdevel
Architecture: any
Depends:
 libpyside6-py3-6.8 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 (development files)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside6 library.

Package: libpyside6-py3-6.8
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts:
 libpyside6-py3-6.2,
 libpyside6-py3-6.4,
 libpyside6-py3-6.6,
 libpyside6-py3-6.7,
Replaces:
 libpyside6-py3-6.2,
 libpyside6-py3-6.4,
 libpyside6-py3-6.6,
 libpyside6-py3-6.7,
Provides:
 libpyside6-py3,
Description: Python 3 bindings for Qt 6 (base files)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libshiboken6-dev
Section: libdevel
Architecture: any
Depends:
 libshiboken6-py3-6.8 (= ${binary:Version}),
 python3-dev,
 shiboken6 (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken6 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken6 is the binding generator used to create the PySide6 bindings.
 .
 This package provides the development headers for the libshiboken6 library.

Package: libshiboken6-py3-6.8
Section: libs
Architecture: any
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts:
 libshiboken6-py3-6.2,
 libshiboken6-py3-6.4,
 libshiboken6-py3-6.6,
 libshiboken6-py3-6.7,
Replaces:
 libshiboken6-py3-6.2,
 libshiboken6-py3-6.4,
 libshiboken6-py3-6.6,
 libshiboken6-py3-6.7,
Provides:
 libshiboken6-py3,
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken6 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken6 is the binding generator used to create the PySide6 bindings.
 .
 This package contains the shared Python 3 library used by shiboken6.

Package: pyside6-tools
Architecture: any
Section: devel
Depends:
 python3-pyside6.qtcore,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: development tools for PySide6 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide6 ships Python bindings for the Qt 6 framework. This package ships
 the following accompanying tools:
  * pyside6-lupdate - update Qt Linguist translation files for PySide

Package: python-pyside6-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python bindings for Qt 6 (common documentation)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: python3-pyside6.qt3danimation
Architecture: any
Depends:
 python3-pyside6.qt3dcore,
 python3-pyside6.qt3drender,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtnetwork,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 3DAnimation module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DAnimation module.

Package: python3-pyside6.qt3dcore
Architecture: any
Depends:
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtnetwork,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 3DCore module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DCore module.

Package: python3-pyside6.qt3dextras
Architecture: any
Depends:
 python3-pyside6.qt3dcore,
 python3-pyside6.qt3drender,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtnetwork,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 3DExtras module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DExtras module.

Package: python3-pyside6.qt3dinput
Architecture: any
Depends:
 python3-pyside6.qt3dcore,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 3DInput module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DInput module.

Package: python3-pyside6.qt3dlogic
Architecture: any
Depends:
 python3-pyside6.qt3dcore,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 3DLogic module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DLogic module.

Package: python3-pyside6.qt3drender
Architecture: any
Depends:
 python3-pyside6.qt3dcore,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtopengl,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 3DRender module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python3-pyside6.qtasyncio
Architecture: any
Depends:
 python3-pyside6.qtcore,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 ASyncIO (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtAsyncio module.

Package: python3-pyside6.qtbluetooth
Architecture: linux-any
Depends:
 python3-pyside6.qtcore,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 Bluetooth (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtBluetooth module.

Package: python3-pyside6.qtcharts
Architecture: any
Depends:
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtwidgets,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 Charts module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCharts module.

Package: python3-pyside6.qtconcurrent
Architecture: any
Depends:
 python3-pyside6.qtcore,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for Qt 6 Concurrent module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtConcurrent module.

Package: python3-pyside6.qtcore
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pyside6-doc,
Description: Python bindings for Qt 6 core module (Python 3)
 pyside6 provides Python bindings for Qt 6.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.
